// JScript 文件

  //定义公用变量
     var XmlHttp;
    //创建请求对象
    function CreateXMLHttpRequest()
    {
       
       if (window.XMLHttpRequest) 
       { 
         XmlHttp = new XMLHttpRequest(); 
       } 
       else if (window.ActiveXObject) 
       { 
          try {
                XmlHttp = new ActiveXObject("Msxml2.XMLHTTP"); 
          } 
          catch (e1) {
            try { 
                XmlHttp = new ActiveXObject("Microsoft.XMLHTTP"); 
             } 
             catch (e2) 
             { } 
         } 
       }
       
    }
    //发送请求
    function PostPage(value,sendurl)
    {
       //用户名
      // var username=document.getElementById("username").value;
       //调用创建请求对象的方法
       CreateXMLHttpRequest();
       //建立请求连接
       XmlHttp.open("Post",sendurl,false)
       //定义表单上传
       XmlHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded;charset=UTF-8");
       //设置回调函数
       XmlHttp.onreadystatechange=GetValue;
       //发送请求
       XmlHttp.send(value);   
    }
    //响应请求
    function GetValue()
    {
        if(XmlHttp.readyState==4)
        {
            if(XmlHttp.status==200 || XmlHttp.status==0)
            {
                var test=XmlHttp.responseText;
                return test;
            }
            else
            {
              return "第二步出错";
            }
        }
        else
        {
            return "第一步出错";
        }
    } 
/*验证用户名结束*/